Debian Bug report logs - #484584
ITP: python-odf -- Python API and tools to manipulate OpenDocument files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Nelson A. de Oliveira" <naoliv@debian.org>

Date: Thu, 5 Jun 2008 02:00:01 UTC

Owned by: Thomas Bechtold <thomasbechtold@jpberlin.de>

Severity: wishlist

Fixed in version python-odf/0.9.6-1

Done: Thomas Bechtold <thomasbechtold@jpberlin.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, naoliv@debian.org, debian-python@lists.debian.org, <wnpp@debian.org>:
Bug#484584; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
New Bug report received and forwarded. Copy sent to naoliv@debian.org, debian-python@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: python-odfpy -- Python API and tools to manipulate OpenDocument files
Date: Wed, 04 Jun 2008 22:56:57 -0300
Package: wnpp
Severity: wishlist

* Package name    : python-odfpy
  Version         : 0.7
  Upstream Author : Søren Roug <soren.roug@eea.europa.eu>
* URL             : http://opendocumentfellowship.com/projects/odfpy
* License         : GPL
  Programming Lang: Python
  Description     : Python API and tools to manipulate OpenDocument files

(Not really a long description, but a copy and paste from upstream
homepage)

Odfpy aims to be a complete API for OpenDocument in Python. Unlike other
more convenient APIs, this one is essentially an abstraction layer just
above the XML format. The main focus has been to prevent the programmer
from creating invalid documents. It has checks that raise an exception
if the programmer adds an invalid element, adds an attribute unknown to
the grammar, forgets to add a required attribute or adds text to an
element that doesn't allow it.

These checks and the API itself were generated from the RelaxNG schema,
and then hand-edited. Therefore the API is complete and can handle all
ODF constructions, but could be improved in its understanding of data
types.

In addition to the API, there are a few scripts:

mailodf - Email ODF file as HTML archive
odf2xhtml - Convert ODF to (X)HTML
odf2mht - Convert ODF to HTML archive
odf2war - Convert ODF to KDE web archive
odfimgimport - Import external images
odflint - Check ODF file for problems
odfmeta - List or change the metadata of an ODF file
odfoutline - Show outline of OpenDocument
odfuserfield - List or change the user-field declarations in an ODF file
xml2odf - Create OD? package from OpenDocument in XML form
Take also a look at the contrib folder.

Thank you!

Best regards,
Nelson

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-naoliv1 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Changed Bug title to `ITP: python-odfpy -- Python API and tools to manipulate OpenDocument files' from `RFP: python-odfpy -- Python API and tools to manipulate OpenDocument files'. Request was from Ricardo Ichizo <n1ghtcr4wler@gmail.com> to control@bugs.debian.org. (Thu, 24 Jul 2008 07:06:02 GMT) Full text and rfc822 format available.

Owner recorded as Ricardo Ichizo <n1ghtcr4wler@gmail.com>. Request was from Ricardo Ichizo <n1ghtcr4wler@gmail.com> to control@bugs.debian.org. (Thu, 24 Jul 2008 07:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ricardo Ichizo <n1ghtcr4wler@gmail.com>:
Bug#484584; Package wnpp. (Fri, 16 Jan 2009 21:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Shaforostoff <shaforostoff@kde.ru>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ricardo Ichizo <n1ghtcr4wler@gmail.com>. (Fri, 16 Jan 2009 21:51:02 GMT) Full text and rfc822 format available.

Message #14 received at 484584@bugs.debian.org (full text, mbox):

From: Nick Shaforostoff <shaforostoff@kde.ru>
To: 484584@bugs.debian.org
Subject: any progress?
Date: Fri, 16 Jan 2009 23:48:28 +0200
Hi. Any progress regarding python-odfpy?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ricardo Ichizo <n1ghtcr4wler@gmail.com>:
Bug#484584; Package wnpp. (Tue, 25 May 2010 17:23:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ricardo Ichizo <n1ghtcr4wler@gmail.com>. (Tue, 25 May 2010 17:23:30 GMT) Full text and rfc822 format available.

Message #19 received at 484584@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 484584@bugs.debian.org
Cc: control@bugs.debian.org
Subject: python-odfpy: changing back from ITP to RFP
Date: Tue, 25 May 2010 17:06:13 +0000
retitle 484584 RFP: python-odfpy -- Python API and tools to manipulate OpenDocument files
noowner 484584
thanks

Hi,

This is an automatic email to change the status of python-odfpy back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting python-odfpy, please send a mail to
<control@bugs.debian.org> with:

 retitle 484584 ITP: python-odfpy -- Python API and tools to manipulate OpenDocument files
 owner 484584 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <484584@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: python-odfpy -- Python API and tools to manipulate OpenDocument files' from 'ITP: python-odfpy -- Python API and tools to manipulate OpenDocument files' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:28:11 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Ricardo Ichizo <n1ghtcr4wler@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:28:11 GMT) Full text and rfc822 format available.

Owner recorded as takaki@debian.org. Request was from TANIGUCHI Takaki <takaki@debian.org> to control@bugs.debian.org. (Mon, 01 Nov 2010 14:42:15 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: python-odfpy -- Python API and tools to manipulate OpenDocument files' from 'RFP: python-odfpy -- Python API and tools to manipulate OpenDocument files' Request was from TANIGUCHI Takaki <takaki@debian.org> to control@bugs.debian.org. (Mon, 01 Nov 2010 14:48:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 07 Nov 2010 19:09:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: python-odf -- Python API and tools to manipulate OpenDocument files' from 'ITP: python-odfpy -- Python API and tools to manipulate OpenDocument files' Request was from TANIGUCHI Takaki <takaki@debian.org> to control@bugs.debian.org. (Mon, 13 Dec 2010 05:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#484584; Package wnpp. (Mon, 07 Mar 2011 13:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Mon, 07 Mar 2011 13:51:02 GMT) Full text and rfc822 format available.

Message #36 received at 484584@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 484584@bugs.debian.org
Subject: Re: Bug#484584: any progress?
Date: Mon, 7 Mar 2011 14:49:03 +0100
On Fri, Jan 16, 2009 at 11:48:28PM +0200, Nick Shaforostoff wrote:
> Hi. Any progress regarding python-odfpy?
> 

Same question : any progress ?

Thanks in advance.

Best regards,




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#484584; Package wnpp. (Mon, 07 Mar 2011 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to TANIGUCHI Takaki <takaki@asis.media-as.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Mon, 07 Mar 2011 14:39:03 GMT) Full text and rfc822 format available.

Message #41 received at 484584@bugs.debian.org (full text, mbox):

From: TANIGUCHI Takaki <takaki@asis.media-as.org>
To: Olivier Berger <olivier.berger@it-sudparis.eu>, 484584@bugs.debian.org
Subject: Re: Bug#484584: any progress?
Date: Mon, 07 Mar 2011 22:58:55 +0900
I uploaded the package, but it was rejected by ftp-master. 
Because some files have ambigous license. I try to fix it...

Regards,

>>>>> on Mon, 7 Mar 2011 14:49:03 +0100
>>>>> olivier.berger@it-sudparis.eu(Olivier Berger)  said:
> 
> On Fri, Jan 16, 2009 at 11:48:28PM +0200, Nick Shaforostoff wrote:
> > Hi. Any progress regarding python-odfpy?
> > 
> 
> Same question : any progress ?
> 
> Thanks in advance.
> 
> Best regards,
> 
> 






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#484584; Package wnpp. (Mon, 07 Mar 2011 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Mon, 07 Mar 2011 15:15:03 GMT) Full text and rfc822 format available.

Message #46 received at 484584@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: TANIGUCHI Takaki <takaki@asis.media-as.org>
Cc: 484584@bugs.debian.org
Subject: Re: Bug#484584: any progress?
Date: Mon, 07 Mar 2011 16:13:02 +0100
Le lundi 07 mars 2011 à 22:58 +0900, TANIGUCHI Takaki a écrit :
> I uploaded the package, but it was rejected by ftp-master. 
> Because some files have ambigous license. I try to fix it...
> 
> Regards,
> 

In the meantime, would you have a version of the package (sources)
somewhere on line ?

Do you know of any depending package in Debian, also ?

Thanks in advance.

Best regards,
-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#484584; Package wnpp. (Fri, 05 Oct 2012 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Fri, 05 Oct 2012 08:27:04 GMT) Full text and rfc822 format available.

Message #51 received at 484584@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: 484584@bugs.debian.org
Cc: naoliv@debian.org, takaki@debian.org
Subject: Re: ITP: python-odf -- Python API and tools to manipulate OpenDocument files
Date: Fri, 5 Oct 2012 10:21:43 +0200
Hi, any news on this package? Maybe a directory in the
python-modules SVN? TIA!



Owner changed from takaki@debian.org to Thomas Bechtold <thomasbechtold@jpberlin.de>. Request was from Thomas Bechtold <thomasbechtold@jpberlin.de> to control@bugs.debian.org. (Wed, 02 Jan 2013 15:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#484584; Package wnpp. (Wed, 02 Jan 2013 15:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Bechtold <thomasbechtold@jpberlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 02 Jan 2013 15:15:07 GMT) Full text and rfc822 format available.


Message #58 received at 484584@bugs.debian.org (full text, mbox):

From: Thomas Bechtold <thomasbechtold@jpberlin.de>
To: 484584@bugs.debian.org
Date: Wed, 02 Jan 2013 16:12:29 +0100
The package source is available in the python-modules-team svn[1] and
the package is waiting in the new-queue for experimental.

[1] http://anonscm.debian.org/viewvc/python-modules/packages/python-odf/



Reply sent to Thomas Bechtold <thomasbechtold@jpberlin.de>:
You have taken responsibility. (Sat, 06 Apr 2013 00:03:09 GMT) Full text and rfc822 format available.

Notification sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
Bug acknowledged by developer. (Sat, 06 Apr 2013 00:03:09 GMT) Full text and rfc822 format available.

Message #63 received at 484584-close@bugs.debian.org (full text, mbox):

From: Thomas Bechtold <thomasbechtold@jpberlin.de>
To: 484584-close@bugs.debian.org
Subject: Bug#484584: fixed in python-odf 0.9.6-1
Date: Sat, 06 Apr 2013 00:00:10 +0000
Source: python-odf
Source-Version: 0.9.6-1

We believe that the bug you reported is fixed in the latest version of
python-odf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 484584@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Bechtold <thomasbechtold@jpberlin.de> (supplier of updated python-odf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 11 Dec 2012 17:15:17 +0100
Source: python-odf
Binary: python-odf
Architecture: source all
Version: 0.9.6-1
Distribution: experimental
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Thomas Bechtold <thomasbechtold@jpberlin.de>
Description: 
 python-odf - Odfpy aims to be a complete API for OpenDocument in Python.
Closes: 484584
Changes: 
 python-odf (0.9.6-1) experimental; urgency=low
 .
   * Initial release. (Closes: #484584)
Checksums-Sha1: 
 fd9d487da1eb81d89b6f4193ad818489f1cb3f39 1408 python-odf_0.9.6-1.dsc
 3f8bb43c20f946548cad3d7ba2eb49a4ce498924 452061 python-odf_0.9.6.orig.tar.gz
 bc6aa491005d8e7c05687b72de356b53026e5a3f 2918 python-odf_0.9.6-1.debian.tar.gz
 7fe81ae822993a0e42eb9a5d16d4ab4164211199 133282 python-odf_0.9.6-1_all.deb
Checksums-Sha256: 
 20ac7ddc7be11709524ce5a891d81f73379e02d9d2d4b9da7d496d732684cff5 1408 python-odf_0.9.6-1.dsc
 907f62853858913bc3d5b00e4be4f4e5d56ab3f0d51125a54e949824b560f0bf 452061 python-odf_0.9.6.orig.tar.gz
 28fe4b78e163b5c12eb8710a5fdef27a9841282a5d786c80d00fd48cdab7bbe5 2918 python-odf_0.9.6-1.debian.tar.gz
 7145f82109043259f3b78aa116283a42bf359204ae7dc519ad45deed76af8394 133282 python-odf_0.9.6-1_all.deb
Files: 
 7218a11269385b6942ab475e4797fa0f 1408 python optional python-odf_0.9.6-1.dsc
 724d9276ecef825900469a06581f6015 452061 python optional python-odf_0.9.6.orig.tar.gz
 21eefe26bc9c796c4279022c904f9040 2918 python optional python-odf_0.9.6-1.debian.tar.gz
 16730750eba37b36eea179b83d31a59a 133282 python optional python-odf_0.9.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEqQlYACgkQ+xM0OFfj6IgnIQCeJGQ2gGPCVJAA6yQpr2/zNYZu
tB4An0cmZvyQTxwD8ZRYeFJ6Qk+6xaql
=BPkq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 May 2013 07:32:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:57:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.